Skip to main content

Captures


This section provides the information needed to capture an authorized transaction.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{  "clientReferenceInformation": {    "code": "TC-Capture-1"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "BRL"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2031"    }  }}
{  "_links" : {    "void" : {      "method" : "POST",      "href" : "/pts/v2/captures/7627757439636220903092/voids"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/captures/7627757439636220903092"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Bill"  },  "id" : "7627757439636220903092",  "orderInformation" : {    "amountDetails" : {      "totalAmount" : "100.00",      "currency" : "BRL"    }  },  "reconciliationId" : "7627756274016220603092",  "status" : "PENDING",  "submitTimeUtc" : "2025-11-10T11:55:44Z"}
FieldTypeDescription
clientReferenceInformation.code
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationYear

Last published: September 29, 2026